---
title: BaseIOCardDefinition
---

# <a id="TecnoPack_BaseIOCardDefinition"></a> Class BaseIOCardDefinition

Namespace: [TecnoPack](TecnoPack.md)  
Assembly: CO0002\_Templ\_FlowpackHMI\_V00\_9\_3.dll  

Classe base astratta per le definizioni di schede IO, contenente proprietà condivise tra le varie tipologie.

```csharp
public abstract class BaseIOCardDefinition
```

#### Inheritance

[object](https://learn.microsoft.com/dotnet/api/system.object) ← 
[BaseIOCardDefinition](TecnoPack.BaseIOCardDefinition.md)

#### Derived

[NormalIOCardDefinition](TecnoPack.NormalIOCardDefinition.md), 
[SafetyIOCardDefinition](TecnoPack.SafetyIOCardDefinition.md)

#### Inherited Members

[object.GetType\(\)](https://learn.microsoft.com/dotnet/api/system.object.gettype), 
[object.MemberwiseClone\(\)](https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone), 
[object.ToString\(\)](https://learn.microsoft.com/dotnet/api/system.object.tostring), 
[object.Equals\(object?\)](https://learn.microsoft.com/dotnet/api/system.object.equals\#system\-object\-equals\(system\-object\)), 
[object.Equals\(object?, object?\)](https://learn.microsoft.com/dotnet/api/system.object.equals\#system\-object\-equals\(system\-object\-system\-object\)), 
[object.ReferenceEquals\(object?, object?\)](https://learn.microsoft.com/dotnet/api/system.object.referenceequals), 
[object.GetHashCode\(\)](https://learn.microsoft.com/dotnet/api/system.object.gethashcode)

## Constructors

### <a id="TecnoPack_BaseIOCardDefinition__ctor"></a> BaseIOCardDefinition\(\)

```csharp
protected BaseIOCardDefinition()
```

## Properties

### <a id="TecnoPack_BaseIOCardDefinition_Colors"></a> Colors

Mappa tra nomi di colori e valori interi non negativi.
Può essere utilizzata per rappresentazioni grafiche o codifiche di stato.

```csharp
public Dictionary<string, uint> Colors { get; set; }
```

#### Property Value

 [Dictionary](https://learn.microsoft.com/dotnet/api/system.collections.generic.dictionary\-2)
 <
 [string](https://learn.microsoft.com/dotnet/api/system.string), 
 [uint](https://learn.microsoft.com/dotnet/api/system.uint32)
 \>

### <a id="TecnoPack_BaseIOCardDefinition_IODirection"></a> IODirection

Direzione del segnale IO: tipicamente "I" (Input) o "O" (Output).

```csharp
public string IODirection { get; set; }
```

#### Property Value

 [string](https://learn.microsoft.com/dotnet/api/system.string)

### <a id="TecnoPack_BaseIOCardDefinition_NodeType"></a> NodeType

Indica il tipo di nodo associato alla scheda, utile per raggruppamenti logici o di rete.

```csharp
public string NodeType { get; set; }
```

#### Property Value

 [string](https://learn.microsoft.com/dotnet/api/system.string)

### <a id="TecnoPack_BaseIOCardDefinition_Type"></a> Type

Specifica il tipo generale della scheda IO (ad esempio, "input" o "output").

```csharp
public string Type { get; set; }
```

#### Property Value

 [string](https://learn.microsoft.com/dotnet/api/system.string)

